Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.eway
Class LDAPManagedConnection

    java.lang.Object
      com.stc.connector.framework.jca.system.STCManagedConnection
          com.stc.connector.ldapadapter.eway.LDAPManagedConnection

All Implemented Interfaces:
  com.stc.connector.framework.eway.ManagedConnectionCallback, java.io.Serializable, javax.resource.spi.ManagedConnection

    public class LDAPManagedConnection

extends com.stc.connector.framework.jca.system.STCManagedConnection

Version:
Author:
See Also:
  Serialized Form

Constructor Summary
`LDAPManagedConnection(com.stc.connector.framework.jca.system.STCManagedConnectionFactory mcf, javax.security.auth.Subject subject, com.stc.connector.framework.util.ConfigurationHelper aConnectionConfiguration)`

Method Summary

Methods inherited from class com.stc.connector.framework.jca.system.STCManagedConnection
`addConnectionEventListener, addConnectionHandle, associateConnection, cleanup, createMBean, destroy, getConnection, getConnectionHandleCount, getEwayConnection, getLocalTransaction, getLogWriter, getManagedConnection, getManagedConnectionFactory, getMetaData, getXAResource, isValidConnection, matchConnection, notifyConnectionEvent, postDestroy, preDestroy, removeConnectionEventListener, removeConnectionHandle, setLogWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LDAPManagedConnection

    public LDAPManagedConnection(com.stc.connector.framework.jca.system.STCManagedConnectionFactory mcf,
                                 javax.security.auth.Subject subject,
                                 com.stc.connector.framework.util.ConfigurationHelper aConnectionConfiguration)
                          throws javax.resource.ResourceException

Parameters:
  `mcf` -
  `subject` -
  `aConnectionConfiguration` -
Throws:
  `javax.resource.ResourceException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD